<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width minimum-scale=1.0 maximum-scale=1.0 user-scalable=no">
    <title>Document</title>

    <link rel="stylesheet" href="assets/css/reset.css">
    <link rel="stylesheet" href="assets/plugin/bootstrap_v5/bootstrap.min.css">

    <!-- swiper -->
    <link rel="stylesheet" href="assets/plugin/swiper/swiper-bundle.min.css">

    <link rel="stylesheet" href="assets/css/style.min.css">

    <script src="assets/plugin/jquery.min.js"></script>

    <link href="assets/plugin/menu/mmenu.css" rel="stylesheet" />
</head>
<body>
    
    <div id="wrapper">
        <section class="page_login">
            <button type="button" class="btn-close" id="btn-close-sibar"></button>
            <div class="SibarNavBar_filter__body body-sibar-login">
                <form action="">
                    <h3 class="heading">ĐĂNG KÝ TÀI KHOẢN</h3>
                    <p class="text-center">
                        Nhập mã xác minh vừa được gửi đến số điện thoại ******678
                    </p>
                    <div class="form-login">
                        <div class="block_Verify">
                            <input class="otp required" type="text" oninput="digitValidate(this)" onkeyup="tabChange(1)" maxlength="1">
                            <input class="otp required" type="text" oninput="digitValidate(this)" onkeyup="tabChange(2)" maxlength="1">
                            <input class="otp required" type="text" oninput="digitValidate(this)" onkeyup="tabChange(3)" maxlength="1">
                            <input class="otp required" type="text" oninput="digitValidate(this)" onkeyup="tabChange(4)" maxlength="1">
                        </div>
                    </div>
                    <div class="form-group">
                        <button type="submit" class="btn btn-default-black block">ĐĂNG KÝ</button>
                    </div>
                </form>
                <p class="text-center">
                    Chọn Đăng ký để xác nhận rằng quý khách đã đọc Chính sách bảo mật và chia sẻ thông tin của Aristino.
                </p>
                <p style="color: gray;">
                    Hoặc đăng nhập bằng
                </p>

                <div class="btn_group_login">
                    <a href="" class="btn btn-login-isocial">
                        <img src="assets/icon/google.svg" alt="">
                        Google
                    </a>
                    <a href="" class="btn btn-login-isocial">
                        <img src="assets/icon/facebook.svg" alt="">
                        Facebook
                    </a>
                </div>

                <p>Bạn chưa có tài khoản? <a href="">Đăng ký</a> </p>
            </div>
        </section>
    </div>

    <script src="assets/plugin/bootstrap_v5/popper.min.js"></script>
    <script src="assets/plugin/bootstrap_v5/bootstrap.min.js"></script>
    <script src="assets/plugin/swiper/swiper-bundle.min.js"></script>
    <script src="assets/plugin/menu/mmenu.js"></script>
    <script src="assets/plugin/lib.js"></script>

    <script>
            let digitValidate = function(ele){
                // console.log(ele.value);
                ele.value = ele.value.replace(/[^0-9]/g,'');
            }

            let tabChange = function(val){
                let ele = document.querySelectorAll('input');
                if(ele[val-1].value != ''){
                ele[val].focus()
                }else if(ele[val-1].value == ''){
                ele[val-2].focus()
                }   
            }
    </script>

</body>
</html>